Module ij
Package ij.plugin.tool

# Class PlugInTool

java.lang.Object
ij.plugin.tool.PlugInTool

All Implemented Interfaces:
  `PlugIn`

Direct Known Subclasses:
  `ArrowTool`, `BrushTool`, `MacroToolRunner`, `OverlayBrushTool`, `PixelInspectionTool`, `RoiRotationTool`

public abstract class PlugInTool extends Object implements PlugIn

## Constructor Summary

Constructors
Constructor
Description
`PlugInTool()`

## Method Summary

Modifier and Type
Method
Description
`Program`
`getMacroProgram()`
`String`
`getToolIcon()`
Return the string encoding of the tool icon.
`String`
`getToolName()`
Return the tool name.
`void`
`mouseClicked(ImagePlus imp, MouseEvent e)`
`void`
`mouseDragged(ImagePlus imp, MouseEvent e)`
`void`
`mouseEntered(ImagePlus imp, MouseEvent e)`
`void`
`mouseExited(ImagePlus imp, MouseEvent e)`
`void`
`mouseMoved(ImagePlus imp, MouseEvent e)`
`void`
`mousePressed(ImagePlus imp, MouseEvent e)`
`void`
`mouseReleased(ImagePlus imp, MouseEvent e)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`runMacroTool(String name)`
These methods are overridden by MacroToolRunner.
`void`
`runMenuTool(String name, String command)`
`void`
`showOptionsDialog()`
`void`
`showPopupMenu(MouseEvent e, Toolbar tb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlugInTool

public PlugInTool()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### mousePressed

public void mousePressed(ImagePlus imp, MouseEvent e)

### mouseReleased

public void mouseReleased(ImagePlus imp, MouseEvent e)

### mouseClicked

public void mouseClicked(ImagePlus imp, MouseEvent e)

### mouseDragged

public void mouseDragged(ImagePlus imp, MouseEvent e)

### mouseMoved

public void mouseMoved(ImagePlus imp, MouseEvent e)

### mouseEntered

public void mouseEntered(ImagePlus imp, MouseEvent e)

### mouseExited

public void mouseExited(ImagePlus imp, MouseEvent e)

### showPopupMenu

public void showPopupMenu(MouseEvent e, Toolbar tb)

### getToolName

public String getToolName()
Return the tool name.

### getToolIcon

public String getToolIcon()
Return the string encoding of the tool icon. See http://rsb.info.nih.gov/ij/developer/macro/macros.html#icons The default icon is the first letter of the tool name.

### showOptionsDialog

public void showOptionsDialog()

### runMacroTool

public void runMacroTool(String name)
These methods are overridden by MacroToolRunner.

### runMenuTool

public void runMenuTool(String name, String command)

### getMacroProgram

public Program getMacroProgram()